<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>DialogPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/pages/dialog/dialog.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Dialog Page</p>

    </p>




<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>page-dialog</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>dialog.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#canBeClosed">canBeClosed</a>
                            </li>
                            <li>
                                <a href="#file">file</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#files">files</a>
                            </li>
                            <li>
                                <a href="#id">id</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navCtrl">navCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navParams">navParams</a>
                            </li>
                            <li>
                                <a href="#primaryButtonText">primaryButtonText</a>
                            </li>
                            <li>
                                <a href="#progress">progress</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#rest">rest</a>
                            </li>
                            <li>
                                <a href="#showCancelButton">showCancelButton</a>
                            </li>
                            <li>
                                <a href="#typ">typ</a>
                            </li>
                            <li>
                                <a href="#uploading">uploading</a>
                            </li>
                            <li>
                                <a href="#uploadSuccessful">uploadSuccessful</a>
                            </li>
                            <li>
                                <a href="#usergroupid">usergroupid</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#viewCtrl">viewCtrl</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#addFiles">addFiles</a>
                            </li>
                            <li>
                                <a href="#closeDialog">closeDialog</a>
                            </li>
                            <li>
                                <a href="#dismiss">dismiss</a>
                            </li>
                            <li>
                                <a href="#onFilesAdded">onFilesAdded</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(navCtrl: NavController, navParams: NavParams, viewCtrl: ViewController, rest: <a href="../injectables/RestProvider.html">RestProvider</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/pages/dialog/dialog.ts:26</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Constructor</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>navCtrl</td>
                                                  
                                                        <td>
                                                                    <code>NavController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>navParams</td>
                                                  
                                                        <td>
                                                                    <code>NavParams</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>viewCtrl</td>
                                                  
                                                        <td>
                                                                    <code>ViewController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>rest</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addFiles"></a>
                        <span class="name">
                            <b>
                            addFiles
                            </b>
                            <a href="#addFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>addFiles()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/pages/dialog/dialog.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="closeDialog"></a>
                        <span class="name">
                            <b>
                            closeDialog
                            </b>
                            <a href="#closeDialog"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>closeDialog()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/pages/dialog/dialog.ts:54</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dismiss"></a>
                        <span class="name">
                            <b>
                            dismiss
                            </b>
                            <a href="#dismiss"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>dismiss()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/pages/dialog/dialog.ts:63</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="onFilesAdded"></a>
                        <span class="name">
                            <b>
                            onFilesAdded
                            </b>
                            <a href="#onFilesAdded"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>onFilesAdded()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/pages/dialog/dialog.ts:45</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="canBeClosed"></a>
                        <span class="name">
                            <b>
                            canBeClosed</b>
                            <a href="#canBeClosed"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>true</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/pages/dialog/dialog.ts:17</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="file"></a>
                        <span class="name">
                            <b>
                            file</b>
                            <a href="#file"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(&#x27;file&#x27;)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/pages/dialog/dialog.ts:14</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="files"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            files</b>
                            <a href="#files"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/pages/dialog/dialog.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="id"></a>
                        <span class="name">
                            <b>
                            id</b>
                            <a href="#id"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/pages/dialog/dialog.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navCtrl</b>
                            <a href="#navCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/pages/dialog/dialog.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navParams"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navParams</b>
                            <a href="#navParams"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavParams</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/pages/dialog/dialog.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="primaryButtonText"></a>
                        <span class="name">
                            <b>
                            primaryButtonText</b>
                            <a href="#primaryButtonText"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&#x27;Upload&#x27;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/pages/dialog/dialog.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="progress"></a>
                        <span class="name">
                            <b>
                            progress</b>
                            <a href="#progress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/pages/dialog/dialog.ts:16</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rest"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            rest</b>
                            <a href="#rest"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/pages/dialog/dialog.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="showCancelButton"></a>
                        <span class="name">
                            <b>
                            showCancelButton</b>
                            <a href="#showCancelButton"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>true</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/pages/dialog/dialog.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="typ"></a>
                        <span class="name">
                            <b>
                            typ</b>
                            <a href="#typ"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/pages/dialog/dialog.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploading"></a>
                        <span class="name">
                            <b>
                            uploading</b>
                            <a href="#uploading"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/pages/dialog/dialog.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadSuccessful"></a>
                        <span class="name">
                            <b>
                            uploadSuccessful</b>
                            <a href="#uploadSuccessful"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/pages/dialog/dialog.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="usergroupid"></a>
                        <span class="name">
                            <b>
                            usergroupid</b>
                            <a href="#usergroupid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/pages/dialog/dialog.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="viewCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            viewCtrl</b>
                            <a href="#viewCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>ViewController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/pages/dialog/dialog.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { IonicPage, NavController, NavParams, ViewController } from &#x27;ionic-angular&#x27;;
import { Component, ViewChild } from &#x27;@angular/core&#x27;;
import { RestProvider } from &#x27;../../providers/rest/rest&#x27;;

/**
 * Dialog Page
 */
@IonicPage()
@Component({
  selector: &#x27;page-dialog&#x27;,
  templateUrl: &#x27;dialog.html&#x27;,
})
export class DialogPage {
  @ViewChild(&#x27;file&#x27;) file;

  progress;
  canBeClosed &#x3D; true;
  primaryButtonText &#x3D; &#x27;Upload&#x27;;
  showCancelButton &#x3D; true;
  uploading &#x3D; false;
  uploadSuccessful &#x3D; false;

  public files &#x3D; [];
  id;
  typ;
  usergroupid

  /**
   * Constructor
   * @param navCtrl 
   * @param navParams 
   * @param viewCtrl 
   * @param rest 
   */
  constructor(public navCtrl: NavController, public navParams: NavParams, public viewCtrl: ViewController, public rest: RestProvider) {
    this.id &#x3D; navParams.get(&quot;id&quot;);
    this.typ &#x3D; navParams.get(&quot;typ&quot;);
    this.usergroupid &#x3D; { &quot;id&quot;: navParams.get(&quot;usergroupid&quot;) };
  }

  addFiles() {
    this.file.nativeElement.click();
  }

  onFilesAdded() {
    const files: { [key: string]: File } &#x3D; this.file.nativeElement.files;
    for (let key in files) {
      if (!isNaN(parseInt(key))) {
        this.files.push(files[key]);
      }
    }
  }

  closeDialog() {
    // if everything was uploaded already, just close the dialog
    // set the component state to &quot;uploading&quot;
    this.uploading &#x3D; true;

    // start the upload and save the progress map
    this.rest.upload(this.files, this.id, this.typ, this.usergroupid);
  }

  dismiss() {
    this.viewCtrl.dismiss();
    //this.navCtrl.setRoot(HomePage, this.usergroupid);
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--
  Upload-Dialog Images and Files can be uploaded
--&gt;
&lt;ion-header&gt;
  &lt;ion-navbar&gt;
    &lt;ion-title&gt;Dateien hochladen&lt;/ion-title&gt;
    &lt;ion-buttons start&gt;
      &lt;button ion-button ion-button (click)&#x3D;&quot;dismiss()&quot;&gt;
        &lt;span ion-text color&#x3D;&quot;primary&quot; showWhen&#x3D;&quot;ios&quot;&gt;Cancel&lt;/span&gt;
        &lt;ion-icon name&#x3D;&quot;md-close&quot; showWhen&#x3D;&quot;android, windows&quot;&gt;&lt;/ion-icon&gt;
        &lt;ion-icon name&#x3D;&quot;md-close&quot;&gt;&lt;/ion-icon&gt;
      &lt;/button&gt;
    &lt;/ion-buttons&gt;
  &lt;/ion-navbar&gt;
&lt;/ion-header&gt;

&lt;ion-content padding&gt;
  &lt;input type&#x3D;&quot;file&quot; #file style&#x3D;&quot;display: none&quot; (change)&#x3D;&quot;onFilesAdded()&quot; multiple /&gt;
  &lt;div class&#x3D;&quot;container&quot; fxLayout&#x3D;&quot;column&quot; fxLayoutAlign&#x3D;&quot;space-evenly stretch&quot;&gt;
    &lt;div&gt;
      &lt;button ion-button [disabled]&#x3D;&quot;uploading || uploadSuccessful&quot; class&#x3D;&quot;add-files-btn&quot; (click)&#x3D;&quot;addFiles()&quot;&gt;
        Dateien hinzufügen
      &lt;/button&gt;
    &lt;/div&gt;

    &lt;!-- This is the content of the dialog, containing a list of the files to upload --&gt;
    &lt;div&gt;
      &lt;div&gt;
        &lt;div *ngFor&#x3D;&quot;let file of files&quot;&gt;
          {{file.name}}
          &lt;!--  &lt;progress-bar *ngIf&#x3D;&quot;progress&quot; mode&#x3D;&quot;determinate&quot; [progress]&#x3D;&quot;progress[file.name].progress | async&quot;&gt;&lt;/progress-bar&gt; --&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;

    &lt;!-- This are the actions of the dialog, containing the primary and the cancel button--&gt;
    &lt;div class&#x3D;&quot;actions&quot;&gt;
      &lt;button ion-button *ngIf&#x3D;&quot;showCancelButton&quot; (click)&#x3D;&quot;dismiss()&quot;&gt;Cancel&lt;/button&gt;
      &lt;button ion-button [disabled]&#x3D;&quot;!canBeClosed&quot; (click)&#x3D;&quot;closeDialog()&quot;&gt;{{primaryButtonText}}&lt;/button&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/ion-content&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--  Upload-Dialog Images and Files can be uploaded--><ion-header>  <ion-navbar>    <ion-title>Dateien hochladen</ion-title>    <ion-buttons start>      <button ion-button ion-button (click)="dismiss()">        <span ion-text color="primary" showWhen="ios">Cancel</span>        <ion-icon name="md-close" showWhen="android, windows"></ion-icon>        <ion-icon name="md-close"></ion-icon>      </button>    </ion-buttons>  </ion-navbar></ion-header><ion-content padding>  <input type="file" #file style="display: none" (change)="onFilesAdded()" multiple />  <div class="container" fxLayout="column" fxLayoutAlign="space-evenly stretch">    <div>      <button ion-button [disabled]="uploading || uploadSuccessful" class="add-files-btn" (click)="addFiles()">        Dateien hinzufügen      </button>    </div>    <!-- This is the content of the dialog, containing a list of the files to upload -->    <div>      <div>        <div *ngFor="let file of files">          {{file.name}}          <!--  <progress-bar *ngIf="progress" mode="determinate" [progress]="progress[file.name].progress | async"></progress-bar> -->        </div>      </div>    </div>    <!-- This are the actions of the dialog, containing the primary and the cancel button-->    <div class="actions">      <button ion-button *ngIf="showCancelButton" (click)="dismiss()">Cancel</button>      <button ion-button [disabled]="!canBeClosed" (click)="closeDialog()">{{primaryButtonText}}</button>    </div>  </div></ion-content></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'DialogPage'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'DialogPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
